Bug 185551 - [libc] [patch] rsh(1) fails if home dir is closed and access is via NFS
Summary: [libc] [patch] rsh(1) fails if home dir is closed and access is via NFS
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 9.2-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-07 12:40 UTC by danny
Modified: 2017-12-31 22:27 UTC (History)
0 users

See Also:


Attachments
file.diff (767 bytes, patch)
2014-01-07 12:40 UTC, danny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description danny 2014-01-07 12:40:00 UTC
	when the home directory of a user is open only to the owner,
	rsh will fail it's mounted via NFS, the  and the host has no root
	permition.
	The problem was diagnosed by Tomer Kleiner <mandor@cs.huji.ac.il>

Fix: this is not optimal but does fix the problem
How-To-Repeat: 	chmod 700 ~
	rsh some-host-without-root-permitions
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:58:57 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped